function [Kc,tauI,KI,par]=basecase_decouple(par)
kapp(1)    = -1;                                % process gain from u2 to V

kapp(2)    = -par.A21/(par.A22);               % process gain from u1 to ca


par.p(2) = 0;

par.v10 = par.q10;                          % transformed input bias case 1
par.v20 = par.q20;                          % transformed input bias case 2


tauC(1) = 0.3*par.taur;   % desired closed loop time constant for flow loop
if tauC(1)==0
    tauC(1) = 0.3*par.taur;
end

tauC(2) = par.thetaca;    % desired closed loop time constant for flow loop
if tauC(2)==0
    tauC(2) = 0.3*par.taur;
end

theta2 = par.thetaca-(par.B21/par.A21+1/par.A22);
tauC(2) = tauC(2)-(par.B21/par.A21+1/par.A22);




% PI-controller for hold up
Kc(1)   = 1/kapp(1)/(tauC(1));                     % first-order plus delay
tauI(1) = 4*(tauC(1)); 
KI(1)   = Kc(1)/tauI(1);

% PI-controller for concentration
Kc(2)   = 1/kapp(2)/(tauC(2)+theta2);              % first-order plus delay
tauI(2) = 4*(tauC(2)+theta2); 
KI(2)   = Kc(2)/tauI(2);
end
